<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [commitCrime](./bitburner.singularity.commitcrime.md)

## Singularity.commitCrime() method

Commit a crime.

**Signature:**

```typescript
commitCrime(crime: CrimeType, focus?: boolean): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

crime


</td><td>

[CrimeType](./bitburner.crimetype.md)


</td><td>

Name of crime to attempt.


</td></tr>
<tr><td>

focus


</td><td>

boolean


</td><td>

_(Optional)_ Acquire player focus on this crime. Optional. Defaults to true.


</td></tr>
</tbody></table>

**Returns:**

number

The number of milliseconds it takes to attempt the specified crime.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function is used to automatically attempt to commit crimes. If you are already in the middle of some ‘working’ action (such as working for a company or training at a gym), then running this function will automatically cancel that action and give you your earnings.

This function returns the number of milliseconds it takes to attempt the specified crime (e.g. It takes 60 seconds to attempt the ‘Rob Store’ crime, so running `commitCrime('Rob Store')` will return 60,000).

